# class Puppet::Util::Windows::Error

represents an error resulting from a Win32 error code

### Attributes

code[R]

### Public Class Methods

new(message, code = GetLastError.call) click to toggle source
Calls superclass method Puppet::Error.new

    # File lib/puppet/util/windows/error.rb, line 10
    def initialize(message, code = GetLastError.call)
      super(message + ":  #{get_last_error(code)}")

      @code = code
    end